Gets a Traffic Manager endpoint.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/trafficmanagerprofiles/{profileName}/{endpointType}/{endpointName}?api-version=2026-09-01
URI Parameters
| Name |
In |
Required |
Type |
Description |
|
endpointName
|
path |
True
|
string
|
The name of the Traffic Manager endpoint.
|
|
endpointType
|
path |
True
|
EndpointType
|
The type of the Traffic Manager endpoint.
|
|
profileName
|
path |
True
|
string
|
The name of the Traffic Manager profile.
|
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
The name of the resource group. The name is case insensitive.
|
|
subscriptionId
|
path |
True
|
string
(uuid)
|
The ID of the target subscription. The value must be an UUID.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
The API version to use for this operation.
|
Responses
| Name |
Type |
Description |
|
200 OK
|
Endpoint
|
Azure operation completed successfully.
|
|
Other Status Codes
|
CloudError
|
An unexpected error response.
|
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name |
Description |
|
user_impersonation
|
impersonate your user account
|
Examples
Endpoint-GET-External-WithGeoMapping
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/azuresdkfornetautoresttrafficmanager2191/providers/Microsoft.Network/trafficmanagerprofiles/azuresdkfornetautoresttrafficmanager8224/ExternalEndpoints/My%20external%20endpoint?api-version=2026-09-01
import com.azure.resourcemanager.trafficmanager.models.EndpointTypes;
/**
* Samples for Endpoints Get.
*/
public final class Main {
/*
* x-ms-original-file: 2026-09-01/Endpoint-GET-External-WithGeoMapping.json
*/
/**
* Sample code: Endpoint-GET-External-WithGeoMapping.
*
* @param manager Entry point to TrafficManager.
*/
public static void
endpointGETExternalWithGeoMapping(com.azure.resourcemanager.trafficmanager.TrafficManager manager) {
manager.serviceClient().getEndpoints().getWithResponse("azuresdkfornetautoresttrafficmanager2191",
"azuresdkfornetautoresttrafficmanager8224", EndpointTypes.EXTERNAL_ENDPOINTS, "My%20external%20endpoint",
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.trafficmanager import TrafficManagerManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-trafficmanager
# USAGE
python endpoint_get_external_with_geo_mapping.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = TrafficManagerManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.endpoints.get(
resource_group_name="azuresdkfornetautoresttrafficmanager2191",
profile_name="azuresdkfornetautoresttrafficmanager8224",
endpoint_type="ExternalEndpoints",
endpoint_name="My%20external%20endpoint",
)
print(response)
# x-ms-original-file: 2026-09-01/Endpoint-GET-External-WithGeoMapping.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armtrafficmanager_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/trafficmanager/armtrafficmanager/v2"
)
// Generated from example definition: 2026-09-01/Endpoint-GET-External-WithGeoMapping.json
func ExampleEndpointsClient_Get_endpointGetExternalWithGeoMapping() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armtrafficmanager.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewEndpointsClient().Get(ctx, "azuresdkfornetautoresttrafficmanager2191", "azuresdkfornetautoresttrafficmanager8224", armtrafficmanager.EndpointTypeExternalEndpoints, "My%20external%20endpoint", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armtrafficmanager.EndpointsClientGetResponse{
// Endpoint: armtrafficmanager.Endpoint{
// Name: to.Ptr("My external endpoint"),
// Type: to.Ptr("Microsoft.Network/trafficManagerProfiles/externalEndpoints"),
// ID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/azuresdkfornetautoresttrafficmanager2191/providers/Microsoft.Network/trafficManagerProfiles/azuresdkfornetautoresttrafficmanager8224/externalEndpoints/My external endpoint"),
// Properties: &armtrafficmanager.EndpointProperties{
// EndpointMonitorStatus: to.Ptr(armtrafficmanager.EndpointMonitorStatusCheckingEndpoint),
// EndpointStatus: to.Ptr(armtrafficmanager.EndpointStatusEnabled),
// GeoMapping: []*string{
// to.Ptr("GEO-AS"),
// to.Ptr("GEO-AF"),
// },
// Priority: to.Ptr[int64](1),
// Target: to.Ptr("foobar.contoso.com"),
// Weight: to.Ptr[int64](1),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { TrafficManagerManagementClient } = require("@azure/arm-trafficmanager");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to gets a Traffic Manager endpoint.
*
* @summary gets a Traffic Manager endpoint.
* x-ms-original-file: 2026-09-01/Endpoint-GET-External-WithGeoMapping.json
*/
async function endpointGETExternalWithGeoMapping() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new TrafficManagerManagementClient(credential, subscriptionId);
const result = await client.endpoints.get(
"azuresdkfornetautoresttrafficmanager2191",
"azuresdkfornetautoresttrafficmanager8224",
"ExternalEndpoints",
"My%20external%20endpoint",
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Sample response
{
"name": "My external endpoint",
"type": "Microsoft.Network/trafficManagerProfiles/externalEndpoints",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/azuresdkfornetautoresttrafficmanager2191/providers/Microsoft.Network/trafficManagerProfiles/azuresdkfornetautoresttrafficmanager8224/externalEndpoints/My external endpoint",
"properties": {
"endpointMonitorStatus": "CheckingEndpoint",
"endpointStatus": "Enabled",
"geoMapping": [
"GEO-AS",
"GEO-AF"
],
"priority": 1,
"target": "foobar.contoso.com",
"weight": 1
}
}
Endpoint-GET-External-WithLocation
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/azuresdkfornetautoresttrafficmanager1421/providers/Microsoft.Network/trafficmanagerprofiles/azsmnet6386/ExternalEndpoints/azsmnet7187?api-version=2026-09-01
import com.azure.resourcemanager.trafficmanager.models.EndpointTypes;
/**
* Samples for Endpoints Get.
*/
public final class Main {
/*
* x-ms-original-file: 2026-09-01/Endpoint-GET-External-WithLocation.json
*/
/**
* Sample code: Endpoint-GET-External-WithLocation.
*
* @param manager Entry point to TrafficManager.
*/
public static void
endpointGETExternalWithLocation(com.azure.resourcemanager.trafficmanager.TrafficManager manager) {
manager.serviceClient().getEndpoints().getWithResponse("azuresdkfornetautoresttrafficmanager1421",
"azsmnet6386", EndpointTypes.EXTERNAL_ENDPOINTS, "azsmnet7187", com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.trafficmanager import TrafficManagerManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-trafficmanager
# USAGE
python endpoint_get_external_with_location.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = TrafficManagerManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.endpoints.get(
resource_group_name="azuresdkfornetautoresttrafficmanager1421",
profile_name="azsmnet6386",
endpoint_type="ExternalEndpoints",
endpoint_name="azsmnet7187",
)
print(response)
# x-ms-original-file: 2026-09-01/Endpoint-GET-External-WithLocation.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armtrafficmanager_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/trafficmanager/armtrafficmanager/v2"
)
// Generated from example definition: 2026-09-01/Endpoint-GET-External-WithLocation.json
func ExampleEndpointsClient_Get_endpointGetExternalWithLocation() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armtrafficmanager.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewEndpointsClient().Get(ctx, "azuresdkfornetautoresttrafficmanager1421", "azsmnet6386", armtrafficmanager.EndpointTypeExternalEndpoints, "azsmnet7187", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armtrafficmanager.EndpointsClientGetResponse{
// Endpoint: armtrafficmanager.Endpoint{
// Name: to.Ptr("azsmnet7187"),
// Type: to.Ptr("Microsoft.Network/trafficManagerProfiles/externalEndpoints"),
// ID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/azuresdkfornetautoresttrafficmanager1421/providers/Microsoft.Network/trafficManagerProfiles/azsmnet6386/externalEndpoints/azsmnet7187"),
// Properties: &armtrafficmanager.EndpointProperties{
// EndpointLocation: to.Ptr("North Europe"),
// EndpointMonitorStatus: to.Ptr(armtrafficmanager.EndpointMonitorStatusCheckingEndpoint),
// EndpointStatus: to.Ptr(armtrafficmanager.EndpointStatusEnabled),
// Priority: to.Ptr[int64](1),
// Target: to.Ptr("foobar.contoso.com"),
// Weight: to.Ptr[int64](1),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { TrafficManagerManagementClient } = require("@azure/arm-trafficmanager");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to gets a Traffic Manager endpoint.
*
* @summary gets a Traffic Manager endpoint.
* x-ms-original-file: 2026-09-01/Endpoint-GET-External-WithLocation.json
*/
async function endpointGETExternalWithLocation() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new TrafficManagerManagementClient(credential, subscriptionId);
const result = await client.endpoints.get(
"azuresdkfornetautoresttrafficmanager1421",
"azsmnet6386",
"ExternalEndpoints",
"azsmnet7187",
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Sample response
{
"name": "azsmnet7187",
"type": "Microsoft.Network/trafficManagerProfiles/externalEndpoints",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/azuresdkfornetautoresttrafficmanager1421/providers/Microsoft.Network/trafficManagerProfiles/azsmnet6386/externalEndpoints/azsmnet7187",
"properties": {
"endpointLocation": "North Europe",
"endpointMonitorStatus": "CheckingEndpoint",
"endpointStatus": "Enabled",
"priority": 1,
"target": "foobar.contoso.com",
"weight": 1
}
}
Endpoint-GET-External-WithSubnetMapping
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/azuresdkfornetautoresttrafficmanager2191/providers/Microsoft.Network/trafficmanagerprofiles/azuresdkfornetautoresttrafficmanager8224/ExternalEndpoints/My%20external%20endpoint?api-version=2026-09-01
import com.azure.resourcemanager.trafficmanager.models.EndpointTypes;
/**
* Samples for Endpoints Get.
*/
public final class Main {
/*
* x-ms-original-file: 2026-09-01/Endpoint-GET-External-WithSubnetMapping.json
*/
/**
* Sample code: Endpoint-GET-External-WithSubnetMapping.
*
* @param manager Entry point to TrafficManager.
*/
public static void
endpointGETExternalWithSubnetMapping(com.azure.resourcemanager.trafficmanager.TrafficManager manager) {
manager.serviceClient().getEndpoints().getWithResponse("azuresdkfornetautoresttrafficmanager2191",
"azuresdkfornetautoresttrafficmanager8224", EndpointTypes.EXTERNAL_ENDPOINTS, "My%20external%20endpoint",
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.trafficmanager import TrafficManagerManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-trafficmanager
# USAGE
python endpoint_get_external_with_subnet_mapping.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = TrafficManagerManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.endpoints.get(
resource_group_name="azuresdkfornetautoresttrafficmanager2191",
profile_name="azuresdkfornetautoresttrafficmanager8224",
endpoint_type="ExternalEndpoints",
endpoint_name="My%20external%20endpoint",
)
print(response)
# x-ms-original-file: 2026-09-01/Endpoint-GET-External-WithSubnetMapping.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armtrafficmanager_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/trafficmanager/armtrafficmanager/v2"
)
// Generated from example definition: 2026-09-01/Endpoint-GET-External-WithSubnetMapping.json
func ExampleEndpointsClient_Get_endpointGetExternalWithSubnetMapping() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armtrafficmanager.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewEndpointsClient().Get(ctx, "azuresdkfornetautoresttrafficmanager2191", "azuresdkfornetautoresttrafficmanager8224", armtrafficmanager.EndpointTypeExternalEndpoints, "My%20external%20endpoint", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armtrafficmanager.EndpointsClientGetResponse{
// Endpoint: armtrafficmanager.Endpoint{
// Name: to.Ptr("My external endpoint"),
// Type: to.Ptr("Microsoft.Network/trafficManagerProfiles/externalEndpoints"),
// ID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/azuresdkfornetautoresttrafficmanager2191/providers/Microsoft.Network/trafficManagerProfiles/azuresdkfornetautoresttrafficmanager8224/externalEndpoints/My external endpoint"),
// Properties: &armtrafficmanager.EndpointProperties{
// EndpointMonitorStatus: to.Ptr(armtrafficmanager.EndpointMonitorStatusCheckingEndpoint),
// EndpointStatus: to.Ptr(armtrafficmanager.EndpointStatusEnabled),
// Priority: to.Ptr[int64](1),
// Subnets: []*armtrafficmanager.EndpointPropertiesSubnetsItem{
// {
// First: to.Ptr("1.2.3.0"),
// Scope: to.Ptr[int32](24),
// },
// {
// First: to.Ptr("25.26.27.28"),
// Last: to.Ptr("29.30.31.32"),
// },
// },
// Target: to.Ptr("foobar.contoso.com"),
// Weight: to.Ptr[int64](1),
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { TrafficManagerManagementClient } = require("@azure/arm-trafficmanager");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to gets a Traffic Manager endpoint.
*
* @summary gets a Traffic Manager endpoint.
* x-ms-original-file: 2026-09-01/Endpoint-GET-External-WithSubnetMapping.json
*/
async function endpointGETExternalWithSubnetMapping() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new TrafficManagerManagementClient(credential, subscriptionId);
const result = await client.endpoints.get(
"azuresdkfornetautoresttrafficmanager2191",
"azuresdkfornetautoresttrafficmanager8224",
"ExternalEndpoints",
"My%20external%20endpoint",
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Sample response
{
"name": "My external endpoint",
"type": "Microsoft.Network/trafficManagerProfiles/externalEndpoints",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/azuresdkfornetautoresttrafficmanager2191/providers/Microsoft.Network/trafficManagerProfiles/azuresdkfornetautoresttrafficmanager8224/externalEndpoints/My external endpoint",
"properties": {
"endpointMonitorStatus": "CheckingEndpoint",
"endpointStatus": "Enabled",
"priority": 1,
"subnets": [
{
"first": "1.2.3.0",
"scope": 24
},
{
"first": "25.26.27.28",
"last": "29.30.31.32"
}
],
"target": "foobar.contoso.com",
"weight": 1
}
}
Definitions
AlwaysServe
Enumeration
If Always Serve is enabled, probing for endpoint health will be disabled and endpoints will be included in the traffic routing method.
| Value |
Description |
|
Enabled
|
|
|
Disabled
|
|
CloudError
Object
An error returned by the Azure Resource Manager
CloudErrorBody
Object
The content of an error returned by the Azure Resource Manager
| Name |
Type |
Description |
|
code
|
string
|
Error code
|
|
details
|
CloudErrorBody[]
|
Error details
|
|
message
|
string
|
Error message
|
|
target
|
string
|
Error target
|
Endpoint
Object
Class representing a Traffic Manager endpoint.
| Name |
Type |
Description |
|
id
|
string
(arm-id)
|
Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/trafficManagerProfiles/{resourceName}
|
|
name
|
string
|
The name of the resource
|
|
properties.alwaysServe
|
AlwaysServe
|
If Always Serve is enabled, probing for endpoint health will be disabled and endpoints will be included in the traffic routing method.
|
|
properties.customHeaders
|
EndpointPropertiesCustomHeadersItem[]
|
List of custom headers.
|
|
properties.endpointLocation
|
string
|
Specifies the location of the external or nested endpoints when using the 'Performance' traffic routing method.
|
|
properties.endpointMonitorStatus
|
EndpointMonitorStatus
|
The monitoring status of the endpoint.
|
|
properties.endpointStatus
|
EndpointStatus
|
The status of the endpoint. If the endpoint is Enabled, it is probed for endpoint health and is included in the traffic routing method.
|
|
properties.geoMapping
|
string[]
|
The list of countries/regions mapped to this endpoint when using the 'Geographic' traffic routing method. Please consult Traffic Manager Geographic documentation for a full list of accepted values.
|
|
properties.minChildEndpoints
|
integer
(int64)
|
The minimum number of endpoints that must be available in the child profile in order for the parent profile to be considered available. Only applicable to endpoint of type 'NestedEndpoints'.
|
|
properties.minChildEndpointsIPv4
|
integer
(int64)
|
The minimum number of IPv4 (DNS record type A) endpoints that must be available in the child profile in order for the parent profile to be considered available. Only applicable to endpoint of type 'NestedEndpoints'.
|
|
properties.minChildEndpointsIPv6
|
integer
(int64)
|
The minimum number of IPv6 (DNS record type AAAA) endpoints that must be available in the child profile in order for the parent profile to be considered available. Only applicable to endpoint of type 'NestedEndpoints'.
|
|
properties.priority
|
integer
(int64)
|
The priority of this endpoint when using the 'Priority' traffic routing method. Possible values are from 1 to 1000, lower values represent higher priority. This is an optional parameter. If specified, it must be specified on all endpoints, and no two endpoints can share the same priority value.
|
|
properties.subnets
|
EndpointPropertiesSubnetsItem[]
|
The list of subnets, IP addresses, and/or address ranges mapped to this endpoint when using the 'Subnet' traffic routing method. An empty list will match all ranges not covered by other endpoints.
|
|
properties.target
|
string
|
The fully-qualified DNS name or IP address of the endpoint. Traffic Manager returns this value in DNS responses to direct traffic to this endpoint.
|
|
properties.targetResourceId
|
string
|
The Azure Resource URI of the of the endpoint. Not applicable to endpoints of type 'ExternalEndpoints'.
|
|
properties.weight
|
integer
(int64)
|
The weight of this endpoint when using the 'Weighted' traffic routing method. Possible values are from 1 to 1000.
|
|
type
|
string
|
The type of the resource. Ex- Microsoft.Network/trafficManagerProfiles.
|
EndpointMonitorStatus
Enumeration
The monitoring status of the endpoint.
| Value |
Description |
|
CheckingEndpoint
|
|
|
Online
|
|
|
Degraded
|
|
|
Disabled
|
|
|
Inactive
|
|
|
Stopped
|
|
|
Unmonitored
|
|
Object
Custom header name and value.
| Name |
Type |
Description |
|
name
|
string
|
Header name.
|
|
value
|
string
|
Header value.
|
EndpointPropertiesSubnetsItem
Object
Subnet first address, scope, and/or last address.
| Name |
Type |
Description |
|
first
|
string
|
First address in the subnet.
|
|
last
|
string
|
Last address in the subnet.
|
|
scope
|
integer
(int32)
|
Block size (number of leading bits in the subnet mask).
|
EndpointStatus
Enumeration
The status of the endpoint. If the endpoint is Enabled, it is probed for endpoint health and is included in the traffic routing method.
| Value |
Description |
|
Enabled
|
|
|
Disabled
|
|
EndpointType
Enumeration
The type of the Traffic Manager endpoint.
| Value |
Description |
|
AzureEndpoints
|
|
|
ExternalEndpoints
|
|
|
NestedEndpoints
|
|